using MemoryPack;

namespace Insight.Domain.Network.Agent.Messages;

[MemoryPackable]
public partial class Session : IMessage
{
    [MemoryPackOrder(0)]
    public string? Sid { get; set; }

    [MemoryPackOrder(1)]
    public string? User { get; set; }

    [MemoryPackOrder(2)]
    public string? Type { get; set; }

    [MemoryPackOrder(3)]
    public string? Status { get; set; }

    [MemoryPackOrder(4)]
    public string? Remote { get; set; }
}